Package org.apache.sysds.hops.codegen.template

# Class CPlanMemoTable.MemoTableEntry

java.lang.Object
org.apache.sysds.hops.codegen.template.CPlanMemoTable.MemoTableEntry

Enclosing class:
  CPlanMemoTable

public static class CPlanMemoTable.MemoTableEntry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`TemplateBase.CloseType`
`ctype`
`final long`
`input1`
`final long`
`input2`
`final long`
`input3`
`final int`
`size`
`TemplateBase.TemplateType`
`type`

## Constructor Summary

Constructors
Constructor
Description
`MemoTableEntry(TemplateBase.TemplateType t, long in1, long in2, long in3, int inlen)`
`MemoTableEntry(TemplateBase.TemplateType t, long in1, long in2, long in3, int inlen, TemplateBase.CloseType close)`

## Method Summary

Modifier and Type
Method
Description
`int`
`countPlanRefs()`
`boolean`
`equalPlanRefs(CPlanMemoTable.MemoTableEntry that)`
`boolean`
`equals(Object obj)`
`int`
`getPlanRefIndex()`
`int`
`hashCode()`
`boolean`
`hasPlanRef()`
`boolean`
`hasPlanRefTo(long hopID)`
`long`
`input(int index)`
`boolean`
`isClosed()`
`boolean`
`isPlanRef(int index)`
`boolean`
`isValid()`
`boolean`
`subsumes(CPlanMemoTable.MemoTableEntry that)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TemplateBase.TemplateType type

### input1

public final long input1

### input2

public final long input2

### input3

public final long input3

### size

public final int size

### ctype

public TemplateBase.CloseType ctype

## Constructor Details

### MemoTableEntry

public MemoTableEntry(TemplateBase.TemplateType t, long in1, long in2, long in3, int inlen)

### MemoTableEntry

public MemoTableEntry(TemplateBase.TemplateType t, long in1, long in2, long in3, int inlen, TemplateBase.CloseType close)

## Method Details

### isClosed

public boolean isClosed()

### isValid

public boolean isValid()

### isPlanRef

public boolean isPlanRef(int index)

### hasPlanRef

public boolean hasPlanRef()

### hasPlanRefTo

public boolean hasPlanRefTo(long hopID)

### countPlanRefs

public int countPlanRefs()

### getPlanRefIndex

public int getPlanRefIndex()

### equalPlanRefs

public boolean equalPlanRefs(CPlanMemoTable.MemoTableEntry that)

### input

public long input(int index)

### subsumes

public boolean subsumes(CPlanMemoTable.MemoTableEntry that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`